Skip to content
Last updated

List all spaces the current user has access to within an organization.

GEThttps://api.aitronos.com/v1/spaces/

Retrieve a paginated list of spaces that the authenticated user has access to. Results are filtered based on the space's access_mode and the user's roles, departments, and permissions:

  • organization โ€” visible to all members of the organization
  • public โ€” visible to everyone
  • private / custom โ€” visible only if the user is in access_users, has a role in visible_to_roles, belongs to a department in access_departments, or is the space creator

Users with the override_all_permissions capability can see all spaces in the organization.

Query Parameters

organization_id string required

Organization ID to list spaces for.

limit integer optional ยท Defaults to 50

Maximum number of spaces to return. Must be between 1 and 100.

cursor string optional

Pagination cursor from a previous response's next_cursor field.


Returns

An object containing a spaces array of Space objects and a next_cursor for pagination.

cURL
curl "https://api.aitronos.com/v1/spaces/?organization_id=org_abc123&limit=20" \
  -H "X-API-Key: $FREDDY_API_KEY"